Subject: Re: [PATCH] replace "parameters" by "arguments" in error messages

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Feb 2021 00:28:43 -0800

Johannes Sixt <[email-masked]> writes:

> When an error message informs the user about an incorrect command
> invocation, it should refer to "arguments", not "parameters".
>
> Signed-off-by: Johannes Sixt <[email-masked]>
> ---
>  Recently, I was greated by an accidental `git tag` invocation:
>
>  $ git tag one two three
>  fatal: too many params
>
>  This is bad in two regards: (1) There's a techie-speak abbreviation
>  in a user-visible text, (2) and it is wrong terminology to refer to
>  "parameters" when "arguments" would be correct.
>
>  Then I looked at every single occurrence of "parameter" in Documentation/
>  and half-way through the rest and wanted to  correct all incorrect uses,
>  but things are by far not as clear-cut as I hoped.
>
>  So, I stopped here and fixed the one pain point that triggered the voyage,
>  which I hope is not too controversal.
>
>  bisect.c                    |  2 +-
>  builtin/notes.c             | 20 ++++++++++----------
>  builtin/stash.c             |  2 +-
>  builtin/tag.c               |  2 +-
>  t/t3301-notes.sh            |  6 +++---
>  t/t6030-bisect-porcelain.sh |  4 ++--
>  6 files changed, 18 insertions(+), 18 deletions(-)
>
> diff --git a/bisect.c b/bisect.c
> index 75ea0eb57f..ae48d19acf 100644
> --- a/bisect.c
> +++ b/bisect.c
> @@ -1064,7 +1064,7 @@ enum bisect_error bisect_next
>    	if (!all) {
>  		fprintf(stderr, _("No testable commit found.\n"
> -			"Maybe you started with bad path parameters?\n"));
> +			"Maybe you started with bad path arguments?\n"));
>    		return BISECT_NO_TESTABLE_COMMIT;
>  	}
> diff --git a/builtin/notes.c b/builtin/notes.c

The above hunk is curious for a few reasons.

 - The hunk header claims that both the preimage and the postimage
   are 7 lines long, but they only have 5 (2 precontext, 1 change
   and 2 postcontext) lines.

 - There are spaces before tab on a few context lines that do not
   exist in the patch target.

Ahh, format=flawed, that is.

    Content-Type: text/plain; charset=utf-8; format=flowed